Skip to main content
PATCH
/
key_link
/
validation_keys
/
{keyId}
TypeScript
const response: Promise<FireblocksResponse<ValidationKeyDto>> = fireblocks.keyLinkBeta.disableValidationKey(keyLinkBetaApiDisableValidationKeyRequest);
{
  "keyId": "46a92767-5f93-4a46-9eed-f012196bb4fc",
  "publicKeyPem": "-----BEGIN PUBLIC KEY ...  END PUBLIC KEY-----",
  "daysTillExpired": 365,
  "enabled": false,
  "createdAt": 12345633
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

keyId
string
required

The unique identifier for the validation key provided by Fireblocks

Example:

"46a92767-5f93-4a46-9eed-f012196bb4fc"

Body

application/json
enabled
boolean
required

Disable validation key

Example:

false

Response

Modified validation key data

keyId
string
required

External validation key id set by Fireblocks.

Required string length: 36
Example:

"46a92767-5f93-4a46-9eed-f012196bb4fc"

publicKeyPem
string
required

PEM encoded public key used for the validation.

Example:

"-----BEGIN PUBLIC KEY ... END PUBLIC KEY-----"

daysTillExpired
number
required
Required range: x >= 1
Example:

365

enabled
boolean
required

True if the validation key is enabled.

Example:

false

createdAt
number
required

Creation date (timestamp) in milliseconds.

Example:

12345633